| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Functions
Clock output control
bladeRF2-specific API » Low-level accessors » Clock Buffer

## Description

## Functions
API_EXPORT int CALL_CONV | bladerf_get_clock_output (struct bladerf *dev, bool *state)
API_EXPORT int CALL_CONV | bladerf_set_clock_output (struct bladerf *dev, bool enable)

## Function Documentation

## ◆ bladerf_get_clock_output()

API_EXPORT int CALL_CONV bladerf_get_clock_output | ( | struct bladerf * | dev,
|  | bool * | state )

Get the current state of the clock output

Parameters

  | dev | Device handle
  [out] | state | Clock output state

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_clock_output()

API_EXPORT int CALL_CONV bladerf_set_clock_output | ( | struct bladerf * | dev,
|  | bool | enable )

Set the clock output (enable/disable)

Parameters

  | dev | Device handle
  [in] | enable | Clock output enable

Returns
  0 on success, value from Error codes list on failure